Skip to content

Clear Chat

DELETE
/api/v1/projects/{project_id}/chat
curl --request DELETE \
--url https://aura.strangeworks.com/api/v1/projects/example/chat \
--header 'Authorization: Bearer <token>'

Clear all chat messages and reset the agent’s conversation memory.

project_id
required
Project Id
string

Successful Response

Media typeapplication/json
Response Clear Chat Api V1 Projects Project Id Chat Delete
object
key
additional properties
integer
Examplegenerated
{
"additionalProperty": 1
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}